summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-10-12 19:59:55 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-10-12 19:59:55 +0000
commit614e26fb21fed4dd47a9fdb939079780979bd94a (patch)
tree705b5957cf8285ae8e3be180367acb7801228cbc /jenkins
parentd82a1b1464173fd0a33738fa48f73af4458ca15f (diff)
onsuccess: #42: 7: [TCWG CI] https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/42/
Results : | # reset_artifacts: | -10 | # true: | 0 | # build_abe binutils: | 1 | # build_abe stage1 -- --set gcc_override_configure=--disable-multilib --set gcc_override_configure=--with-mode=thumb --set gcc_override_configure=--with-cpu=cortex-m23 --set gcc_override_configure=--with-float=soft: | 2 | # build_abe newlib: | 4 | # build_abe stage2 -- --set gcc_override_configure=--disable-multilib --set gcc_override_configure=--with-mode=thumb --set gcc_override_configure=--with-cpu=cortex-m23 --set gcc_override_configure=--with-float=soft: | 5 | # build_abe gdb: | 6 | # build_abe qemu: | 7 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1239
-rw-r--r--jenkins/notify-init.log124
-rw-r--r--jenkins/rewrite.log24
-rw-r--r--jenkins/run-build.env6
5 files changed, 240 insertions, 1155 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index 55e440c..f536421 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#41-binutils-gcc-gdb-newlib-qemu-R7
+#42-binutils-gcc-gdb-newlib-qemu-R7
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index f25e7dd..b39d57e 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,26 +1,26 @@
++ pwd
++ cat
-+ remote_exec build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51547: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true
++ remote_exec build-03.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51294: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true
+ set -euf -o pipefail
+ local host
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51547:
+++ echo build-03.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51294:
++ cut -d: -f 1
-+ host=build-05.tcwglab
++ host=build-03.tcwglab
+ local port
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51547:
+++ echo build-03.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51294:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51547:
+++ echo build-03.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51294:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_1
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_0
+ local opts
++ cut -s -d: -f 4
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51547:
-+ opts=-p51547
+++ echo build-03.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51294:
++ opts=-p51294
+ local env_vars
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51547:
++ cut -s -d: -f 5
+++ echo build-03.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51294:
+ env_vars=
+ shift
+ local -a cmd
@@ -52,10 +52,10 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q true
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_1
-+ ssh -p51547 build-05.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_1 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_0
++ ssh -p51294 build-03.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_0 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true'
-/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true
+/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true
# setup_notify_environment
+ false
@@ -81,27 +81,27 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/40/
+# Baseline : https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/41/
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/40/'
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/41/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/41/
+# Artifacts : https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/42/
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/41/'
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/42/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+ set +x
+# check_source_changes
+ declare -Ag pw
+ '[' ignore = precommit ']'
+ check_source_changes
+ echo '# check_source_changes'
-# check_source_changes
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
++ set +x
@@ -147,7 +147,7 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' x1f08d324601ef7fd4cce3cff8f8db4a774791828 '!=' x3f3175554f28ee42652aa5729a77cd1f2747be98 ']'
+++ '[' x6785fd72d503fd13bfec31a2897694f1590031eb '!=' x1f08d324601ef7fd4cce3cff8f8db4a774791828 ']'
++ echo -ne binutils
++ delim=' '
++ for c in $(print_updated_components)
@@ -162,7 +162,7 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ '[' x721f7e2c4e5eed645593258624dd91e6c39f3bd2 '!=' x39491441a3aca7725d5a6dfeea4b01229d30c899 ']'
+++ '[' x3745feb19ed072e0865b12a891d7dbf7ba12c337 '!=' x721f7e2c4e5eed645593258624dd91e6c39f3bd2 ']'
++ echo -ne ' gcc'
++ delim=' '
++ for c in $(print_updated_components)
@@ -177,7 +177,7 @@
+++ assert_with_msg 'ERROR: No newlib_rev in baseline git' '[' -f base-artifacts/git/newlib_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/newlib_rev
-++ '[' x42fc2fa37c5995b642d128705cc67316bf9254b7 '!=' x90d3b16d2b93d573501394d88538c99335edc343 ']'
+++ '[' xeb1584b491384e072c949ecd78ec85de244661fe '!=' x42fc2fa37c5995b642d128705cc67316bf9254b7 ']'
++ echo -ne ' newlib'
++ delim=' '
++ for c in $(print_updated_components)
@@ -192,7 +192,7 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ '[' x540a5904eb5644056f4fcc9a264826e0e40ee385 '!=' x3f3175554f28ee42652aa5729a77cd1f2747be98 ']'
+++ '[' x6785fd72d503fd13bfec31a2897694f1590031eb '!=' x540a5904eb5644056f4fcc9a264826e0e40ee385 ']'
++ echo -ne ' gdb'
++ delim=' '
++ for c in $(print_updated_components)
@@ -207,19 +207,17 @@
+++ assert_with_msg 'ERROR: No qemu_rev in baseline git' '[' -f base-artifacts/git/qemu_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/qemu_rev
-++ '[' x50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4 '!=' x0d52116fd82cdd1f4a88837336af5b6290c364a4 ']'
-++ echo -ne ' qemu'
-++ delim=' '
+++ '[' x50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4 '!=' x50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4 ']'
++ echo
# Debug traces :
-# change_kind=multiple_components : binutils gcc newlib gdb qemu
+# change_kind=multiple_components : binutils gcc newlib gdb
+ local c base_rev cur_rev c_commits
-+ '[' 5 = 0 ']'
-+ '[' 5 = 1 ']'
++ '[' 4 = 0 ']'
++ '[' 4 = 1 ']'
+ change_kind=multiple_components
+ changed_single_component=
+ echo '# Debug traces :'
-+ echo '# change_kind=multiple_components : binutils gcc newlib gdb qemu'
++ echo '# change_kind=multiple_components : binutils gcc newlib gdb'
+ for c in "${changed_components[@]}"
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
@@ -227,17 +225,17 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=3f3175554f28ee42652aa5729a77cd1f2747be98
++ base_rev=1f08d324601ef7fd4cce3cff8f8db4a774791828
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=1f08d324601ef7fd4cce3cff8f8db4a774791828
-++ git -C binutils rev-list --count 3f3175554f28ee42652aa5729a77cd1f2747be98..1f08d324601ef7fd4cce3cff8f8db4a774791828
-# rev for binutils : 3f3175554f28ee42652aa5729a77cd1f2747be98..1f08d324601ef7fd4cce3cff8f8db4a774791828 (50 commits)
-+ c_commits=50
-+ echo '# rev for binutils : 3f3175554f28ee42652aa5729a77cd1f2747be98..1f08d324601ef7fd4cce3cff8f8db4a774791828 (50 commits)'
++ cur_rev=6785fd72d503fd13bfec31a2897694f1590031eb
+++ git -C binutils rev-list --count 1f08d324601ef7fd4cce3cff8f8db4a774791828..6785fd72d503fd13bfec31a2897694f1590031eb
+# rev for binutils : 1f08d324601ef7fd4cce3cff8f8db4a774791828..6785fd72d503fd13bfec31a2897694f1590031eb (25 commits)
++ c_commits=25
++ echo '# rev for binutils : 1f08d324601ef7fd4cce3cff8f8db4a774791828..6785fd72d503fd13bfec31a2897694f1590031eb (25 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gcc_rev
++ set -euf -o pipefail
@@ -245,17 +243,17 @@
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ base_rev=39491441a3aca7725d5a6dfeea4b01229d30c899
++ base_rev=721f7e2c4e5eed645593258624dd91e6c39f3bd2
++ get_current_git gcc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ cur_rev=721f7e2c4e5eed645593258624dd91e6c39f3bd2
-++ git -C gcc rev-list --count 39491441a3aca7725d5a6dfeea4b01229d30c899..721f7e2c4e5eed645593258624dd91e6c39f3bd2
-# rev for gcc : 39491441a3aca7725d5a6dfeea4b01229d30c899..721f7e2c4e5eed645593258624dd91e6c39f3bd2 (105 commits)
-+ c_commits=105
-+ echo '# rev for gcc : 39491441a3aca7725d5a6dfeea4b01229d30c899..721f7e2c4e5eed645593258624dd91e6c39f3bd2 (105 commits)'
++ cur_rev=3745feb19ed072e0865b12a891d7dbf7ba12c337
+++ git -C gcc rev-list --count 721f7e2c4e5eed645593258624dd91e6c39f3bd2..3745feb19ed072e0865b12a891d7dbf7ba12c337
+# rev for gcc : 721f7e2c4e5eed645593258624dd91e6c39f3bd2..3745feb19ed072e0865b12a891d7dbf7ba12c337 (36 commits)
++ c_commits=36
++ echo '# rev for gcc : 721f7e2c4e5eed645593258624dd91e6c39f3bd2..3745feb19ed072e0865b12a891d7dbf7ba12c337 (36 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git newlib_rev
++ set -euf -o pipefail
@@ -263,17 +261,17 @@
++ assert_with_msg 'ERROR: No newlib_rev in baseline git' '[' -f base-artifacts/git/newlib_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/newlib_rev
-+ base_rev=90d3b16d2b93d573501394d88538c99335edc343
++ base_rev=42fc2fa37c5995b642d128705cc67316bf9254b7
++ get_current_git newlib_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No newlib_rev in current git' '[' -f artifacts/git/newlib_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/newlib_rev
-+ cur_rev=42fc2fa37c5995b642d128705cc67316bf9254b7
-++ git -C newlib rev-list --count 90d3b16d2b93d573501394d88538c99335edc343..42fc2fa37c5995b642d128705cc67316bf9254b7
-# rev for newlib : 90d3b16d2b93d573501394d88538c99335edc343..42fc2fa37c5995b642d128705cc67316bf9254b7 (1 commits)
-+ c_commits=1
-+ echo '# rev for newlib : 90d3b16d2b93d573501394d88538c99335edc343..42fc2fa37c5995b642d128705cc67316bf9254b7 (1 commits)'
++ cur_rev=eb1584b491384e072c949ecd78ec85de244661fe
+++ git -C newlib rev-list --count 42fc2fa37c5995b642d128705cc67316bf9254b7..eb1584b491384e072c949ecd78ec85de244661fe
+# rev for newlib : 42fc2fa37c5995b642d128705cc67316bf9254b7..eb1584b491384e072c949ecd78ec85de244661fe (5 commits)
++ c_commits=5
++ echo '# rev for newlib : 42fc2fa37c5995b642d128705cc67316bf9254b7..eb1584b491384e072c949ecd78ec85de244661fe (5 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gdb_rev
++ set -euf -o pipefail
@@ -281,37 +279,18 @@
++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gdb_rev
-+ base_rev=3f3175554f28ee42652aa5729a77cd1f2747be98
++ base_rev=540a5904eb5644056f4fcc9a264826e0e40ee385
++ get_current_git gdb_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gdb_rev
-+ cur_rev=540a5904eb5644056f4fcc9a264826e0e40ee385
-++ git -C gdb rev-list --count 3f3175554f28ee42652aa5729a77cd1f2747be98..540a5904eb5644056f4fcc9a264826e0e40ee385
-# rev for gdb : 3f3175554f28ee42652aa5729a77cd1f2747be98..540a5904eb5644056f4fcc9a264826e0e40ee385 (51 commits)
-+ c_commits=51
-+ echo '# rev for gdb : 3f3175554f28ee42652aa5729a77cd1f2747be98..540a5904eb5644056f4fcc9a264826e0e40ee385 (51 commits)'
-+ for c in "${changed_components[@]}"
-++ get_baseline_git qemu_rev
-++ set -euf -o pipefail
-++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No qemu_rev in baseline git' '[' -f base-artifacts/git/qemu_rev ']'
-++ set -euf -o pipefail +x
-++ cat base-artifacts/git/qemu_rev
-+ base_rev=0d52116fd82cdd1f4a88837336af5b6290c364a4
-++ get_current_git qemu_rev
-++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No qemu_rev in current git' '[' -f artifacts/git/qemu_rev ']'
-++ set -euf -o pipefail +x
-++ cat artifacts/git/qemu_rev
-+ cur_rev=50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4
-++ git -C qemu rev-list --count 0d52116fd82cdd1f4a88837336af5b6290c364a4..50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4
-# rev for qemu : 0d52116fd82cdd1f4a88837336af5b6290c364a4..50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4 (84 commits)
++ cur_rev=6785fd72d503fd13bfec31a2897694f1590031eb
+++ git -C gdb rev-list --count 540a5904eb5644056f4fcc9a264826e0e40ee385..6785fd72d503fd13bfec31a2897694f1590031eb
+# rev for gdb : 540a5904eb5644056f4fcc9a264826e0e40ee385..6785fd72d503fd13bfec31a2897694f1590031eb (24 commits)
-# generate_extra_details
-+ c_commits=84
-+ echo '# rev for qemu : 0d52116fd82cdd1f4a88837336af5b6290c364a4..50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4 (84 commits)'
++ c_commits=24
++ echo '# rev for gdb : 540a5904eb5644056f4fcc9a264826e0e40ee385..6785fd72d503fd13bfec31a2897694f1590031eb (24 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -331,11 +310,12 @@
+ case "$ci_project" in
+ print_result_f=gnu_print_result
+ generate_extra_details
+# generate_extra_details
+ set -euf -o pipefail
+ echo '# generate_extra_details'
+ post_interesting_commits init
-+ set -euf -o pipefail
# post_interesting_commits
++ set -euf -o pipefail
+ echo '# post_interesting_commits'
+ local stage=init
+ '[' multiple_components '!=' single_commit ']'
@@ -371,65 +351,15 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=3f3175554f28ee42652aa5729a77cd1f2747be98
++ base_rev=1f08d324601ef7fd4cce3cff8f8db4a774791828
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=1f08d324601ef7fd4cce3cff8f8db4a774791828
-+ read -r email
-++ git -C binutils log --pretty=%ae 3f3175554f28ee42652aa5729a77cd1f2747be98..1f08d324601ef7fd4cce3cff8f8db4a774791828
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
++ cur_rev=6785fd72d503fd13bfec31a2897694f1590031eb
+ read -r email
+++ git -C binutils log --pretty=%ae 1f08d324601ef7fd4cce3cff8f8db4a774791828..6785fd72d503fd13bfec31a2897694f1590031eb
+ no_emails["$email"]=cc
+ read -r email
+ no_emails["$email"]=cc
@@ -487,153 +417,15 @@
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ base_rev=39491441a3aca7725d5a6dfeea4b01229d30c899
++ base_rev=721f7e2c4e5eed645593258624dd91e6c39f3bd2
++ get_current_git gcc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ cur_rev=721f7e2c4e5eed645593258624dd91e6c39f3bd2
-+ read -r email
-++ git -C gcc log --pretty=%ae 39491441a3aca7725d5a6dfeea4b01229d30c899..721f7e2c4e5eed645593258624dd91e6c39f3bd2
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
++ cur_rev=3745feb19ed072e0865b12a891d7dbf7ba12c337
+ read -r email
+++ git -C gcc log --pretty=%ae 721f7e2c4e5eed645593258624dd91e6c39f3bd2..3745feb19ed072e0865b12a891d7dbf7ba12c337
+ no_emails["$email"]=cc
+ read -r email
+ no_emails["$email"]=cc
@@ -713,125 +505,15 @@
++ assert_with_msg 'ERROR: No newlib_rev in baseline git' '[' -f base-artifacts/git/newlib_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/newlib_rev
-+ base_rev=90d3b16d2b93d573501394d88538c99335edc343
++ base_rev=42fc2fa37c5995b642d128705cc67316bf9254b7
++ get_current_git newlib_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No newlib_rev in current git' '[' -f artifacts/git/newlib_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/newlib_rev
-+ cur_rev=42fc2fa37c5995b642d128705cc67316bf9254b7
-+ read -r email
-++ git -C newlib log --pretty=%ae 90d3b16d2b93d573501394d88538c99335edc343..42fc2fa37c5995b642d128705cc67316bf9254b7
-+ no_emails["$email"]=cc
-+ read -r email
-+ for c in "${changed_components[@]}"
-++ get_baseline_git gdb_rev
-++ set -euf -o pipefail
-++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
-++ set -euf -o pipefail +x
-++ cat base-artifacts/git/gdb_rev
-+ base_rev=3f3175554f28ee42652aa5729a77cd1f2747be98
-++ get_current_git gdb_rev
-++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
-++ set -euf -o pipefail +x
-++ cat artifacts/git/gdb_rev
-+ cur_rev=540a5904eb5644056f4fcc9a264826e0e40ee385
-+ read -r email
-++ git -C gdb log --pretty=%ae 3f3175554f28ee42652aa5729a77cd1f2747be98..540a5904eb5644056f4fcc9a264826e0e40ee385
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
++ cur_rev=eb1584b491384e072c949ecd78ec85de244661fe
+ read -r email
+++ git -C newlib log --pretty=%ae 42fc2fa37c5995b642d128705cc67316bf9254b7..eb1584b491384e072c949ecd78ec85de244661fe
+ no_emails["$email"]=cc
+ read -r email
+ no_emails["$email"]=cc
@@ -843,141 +525,21 @@
+ no_emails["$email"]=cc
+ read -r email
+ for c in "${changed_components[@]}"
-++ get_baseline_git qemu_rev
+++ get_baseline_git gdb_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No qemu_rev in baseline git' '[' -f base-artifacts/git/qemu_rev ']'
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
-++ cat base-artifacts/git/qemu_rev
-+ base_rev=0d52116fd82cdd1f4a88837336af5b6290c364a4
-++ get_current_git qemu_rev
+++ cat base-artifacts/git/gdb_rev
++ base_rev=540a5904eb5644056f4fcc9a264826e0e40ee385
+++ get_current_git gdb_rev
++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No qemu_rev in current git' '[' -f artifacts/git/qemu_rev ']'
+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
-++ cat artifacts/git/qemu_rev
-+ cur_rev=50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4
-+ read -r email
-++ git -C qemu log --pretty=%ae 0d52116fd82cdd1f4a88837336af5b6290c364a4..50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
-+ read -r email
-+ no_emails["$email"]=cc
+++ cat artifacts/git/gdb_rev
++ cur_rev=6785fd72d503fd13bfec31a2897694f1590031eb
+ read -r email
+++ git -C gdb log --pretty=%ae 540a5904eb5644056f4fcc9a264826e0e40ee385..6785fd72d503fd13bfec31a2897694f1590031eb
+ no_emails["$email"]=cc
+ read -r email
+ no_emails["$email"]=cc
@@ -1033,65 +595,15 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=3f3175554f28ee42652aa5729a77cd1f2747be98
++ base_rev=1f08d324601ef7fd4cce3cff8f8db4a774791828
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=1f08d324601ef7fd4cce3cff8f8db4a774791828
-+ read -r email
-++ git -C binutils log --pretty=%ce 3f3175554f28ee42652aa5729a77cd1f2747be98..1f08d324601ef7fd4cce3cff8f8db4a774791828
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
++ cur_rev=6785fd72d503fd13bfec31a2897694f1590031eb
+ read -r email
+++ git -C binutils log --pretty=%ce 1f08d324601ef7fd4cce3cff8f8db4a774791828..6785fd72d503fd13bfec31a2897694f1590031eb
+ no_emails["$email"]=to
+ read -r email
+ no_emails["$email"]=to
@@ -1149,153 +661,15 @@
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ base_rev=39491441a3aca7725d5a6dfeea4b01229d30c899
++ base_rev=721f7e2c4e5eed645593258624dd91e6c39f3bd2
++ get_current_git gcc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ cur_rev=721f7e2c4e5eed645593258624dd91e6c39f3bd2
-+ read -r email
-++ git -C gcc log --pretty=%ce 39491441a3aca7725d5a6dfeea4b01229d30c899..721f7e2c4e5eed645593258624dd91e6c39f3bd2
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
++ cur_rev=3745feb19ed072e0865b12a891d7dbf7ba12c337
+ read -r email
+++ git -C gcc log --pretty=%ce 721f7e2c4e5eed645593258624dd91e6c39f3bd2..3745feb19ed072e0865b12a891d7dbf7ba12c337
+ no_emails["$email"]=to
+ read -r email
+ no_emails["$email"]=to
@@ -1375,125 +749,15 @@
++ assert_with_msg 'ERROR: No newlib_rev in baseline git' '[' -f base-artifacts/git/newlib_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/newlib_rev
-+ base_rev=90d3b16d2b93d573501394d88538c99335edc343
++ base_rev=42fc2fa37c5995b642d128705cc67316bf9254b7
++ get_current_git newlib_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No newlib_rev in current git' '[' -f artifacts/git/newlib_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/newlib_rev
-+ cur_rev=42fc2fa37c5995b642d128705cc67316bf9254b7
-+ read -r email
-++ git -C newlib log --pretty=%ce 90d3b16d2b93d573501394d88538c99335edc343..42fc2fa37c5995b642d128705cc67316bf9254b7
-+ no_emails["$email"]=to
-+ read -r email
-+ for c in "${changed_components[@]}"
-++ get_baseline_git gdb_rev
-++ set -euf -o pipefail
-++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
-++ set -euf -o pipefail +x
-++ cat base-artifacts/git/gdb_rev
-+ base_rev=3f3175554f28ee42652aa5729a77cd1f2747be98
-++ get_current_git gdb_rev
-++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
-++ set -euf -o pipefail +x
-++ cat artifacts/git/gdb_rev
-+ cur_rev=540a5904eb5644056f4fcc9a264826e0e40ee385
-+ read -r email
-++ git -C gdb log --pretty=%ce 3f3175554f28ee42652aa5729a77cd1f2747be98..540a5904eb5644056f4fcc9a264826e0e40ee385
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
++ cur_rev=eb1584b491384e072c949ecd78ec85de244661fe
+ read -r email
+++ git -C newlib log --pretty=%ce 42fc2fa37c5995b642d128705cc67316bf9254b7..eb1584b491384e072c949ecd78ec85de244661fe
+ no_emails["$email"]=to
+ read -r email
+ no_emails["$email"]=to
@@ -1505,141 +769,21 @@
+ no_emails["$email"]=to
+ read -r email
+ for c in "${changed_components[@]}"
-++ get_baseline_git qemu_rev
+++ get_baseline_git gdb_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No qemu_rev in baseline git' '[' -f base-artifacts/git/qemu_rev ']'
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
-++ cat base-artifacts/git/qemu_rev
-+ base_rev=0d52116fd82cdd1f4a88837336af5b6290c364a4
-++ get_current_git qemu_rev
+++ cat base-artifacts/git/gdb_rev
++ base_rev=540a5904eb5644056f4fcc9a264826e0e40ee385
+++ get_current_git gdb_rev
++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No qemu_rev in current git' '[' -f artifacts/git/qemu_rev ']'
+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
-++ cat artifacts/git/qemu_rev
-+ cur_rev=50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4
-+ read -r email
-++ git -C qemu log --pretty=%ce 0d52116fd82cdd1f4a88837336af5b6290c364a4..50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
-+ read -r email
-+ no_emails["$email"]=to
+++ cat artifacts/git/gdb_rev
++ cur_rev=6785fd72d503fd13bfec31a2897694f1590031eb
+ read -r email
+++ git -C gdb log --pretty=%ce 540a5904eb5644056f4fcc9a264826e0e40ee385..6785fd72d503fd13bfec31a2897694f1590031eb
+ no_emails["$email"]=to
+ read -r email
+ no_emails["$email"]=to
@@ -1696,11 +840,10 @@
+ '[' '' '!=' '' ']'
+ for c in "${changed_components[@]}"
+ '[' '' '!=' '' ']'
-+ for c in "${changed_components[@]}"
-+ '[' '' '!=' '' ']'
+ recipients=()
+ local -a recipients
+ for email in "${!emails[@]}"
++ case "${emails[$email]}" in
+ recipients+=("${emails[$email]}:$email")
+ IFS=,
+ echo bcc:tcwg-validation@linaro.org
@@ -1753,11 +896,11 @@
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/41/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/42/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/40/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/41/artifact/artifacts
+ cat
++ sed -e 's/^/ | /'
++ print_commits --short
@@ -1773,27 +916,28 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ base_rev=3f3175554f28ee42652aa5729a77cd1f2747be98
+++ base_rev=1f08d324601ef7fd4cce3cff8f8db4a774791828
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ cur_rev=1f08d324601ef7fd4cce3cff8f8db4a774791828
-+++ git -C binutils rev-list --count 3f3175554f28ee42652aa5729a77cd1f2747be98..1f08d324601ef7fd4cce3cff8f8db4a774791828
-++ c_commits=50
-++ new_commits=50
+++ cur_rev=6785fd72d503fd13bfec31a2897694f1590031eb
++++ git -C binutils rev-list --count 1f08d324601ef7fd4cce3cff8f8db4a774791828..6785fd72d503fd13bfec31a2897694f1590031eb
+++ c_commits=25
+++ new_commits=25
++ echo 'binutils commits:'
-+++ head -n5
-+++ git -C binutils log --pretty=oneline 3f3175554f28ee42652aa5729a77cd1f2747be98..1f08d324601ef7fd4cce3cff8f8db4a774791828
-++ echo '1f08d324601ef7fd4cce3cff8f8db4a774791828 [gdb/build] Return gdb::array_view in thread_info_to_thread_handle
-f1917fc63166d73a9d0930d96468e486a49c666d kvx: fix kvx_reassemble_bundle index 8 out of bounds
-476dd29dc60b6dc3aec0e29ce2150202cf85f7a8 gdb/testsuite: Multiple improvements for gdb.reverse/insn-reverse.exp
-6e7db5d6bcc383766e10c2ea6f6bf01b629db1b0 gdb/testsuite: fix testing gdb.reverse/step-reverse.exp with clang
-890891f14de5f08a5e5bfa4a6907fb6ec409dd45 gdb/testsuite: fix gdb.reverse/solib-*.exp tests when using clang'
-++ '[' 50 -gt 5 ']'
-++ echo '... and 45 more'
++ '[' '' '!=' '' ']'
++++ head -n5
++++ git -C binutils log --pretty=oneline 1f08d324601ef7fd4cce3cff8f8db4a774791828..6785fd72d503fd13bfec31a2897694f1590031eb
++++ true
+++ echo '6785fd72d503fd13bfec31a2897694f1590031eb PE dos_message
+8606b47e94078e77a53f3cd714272c853d2add22 comdat_hash memory leaks
+26d0081b52dc482c59abba23ca495304e698ce4b Confusion in coff_object_cleanup
+398f1ddf5e89e066aeee242ea854dcbaa8eb9539 sanity check n_numaux
+9cadc5fa8d2ed0310f182b4524367635730d7f73 Re: ld STRINGIFY'
+++ '[' 25 -gt 5 ']'
+++ echo '... and 20 more'
++ for c in "${changed_components[@]}"
+++ get_baseline_git gcc_rev
+++ set -euf -o pipefail
@@ -1801,27 +945,28 @@ f1917fc63166d73a9d0930d96468e486a49c666d kvx: fix kvx_reassemble_bundle index 8
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ base_rev=39491441a3aca7725d5a6dfeea4b01229d30c899
+++ base_rev=721f7e2c4e5eed645593258624dd91e6c39f3bd2
+++ get_current_git gcc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gcc_rev
-++ cur_rev=721f7e2c4e5eed645593258624dd91e6c39f3bd2
-+++ git -C gcc rev-list --count 39491441a3aca7725d5a6dfeea4b01229d30c899..721f7e2c4e5eed645593258624dd91e6c39f3bd2
-++ c_commits=105
-++ new_commits=155
+++ cur_rev=3745feb19ed072e0865b12a891d7dbf7ba12c337
++++ git -C gcc rev-list --count 721f7e2c4e5eed645593258624dd91e6c39f3bd2..3745feb19ed072e0865b12a891d7dbf7ba12c337
+++ c_commits=36
+++ new_commits=61
++ echo 'gcc commits:'
-+++ head -n5
-+++ git -C gcc log --pretty=oneline 39491441a3aca7725d5a6dfeea4b01229d30c899..721f7e2c4e5eed645593258624dd91e6c39f3bd2
-++ echo '721f7e2c4e5eed645593258624dd91e6c39f3bd2 Fix tests for PR 106537.
-bbdc0e0d0042ae16aa4d09ceb52c71e746d9139d analyzer: implement kf_strcat [PR105899]
-2bad0eeb5573e52c4b7b51546ecffcb17f46eda3 analyzer: handle strlen(BITS_WITHIN) [PR105899]
-46cb27e56f36f23cb277f8a5beae05235af05768 analyzer: handle INIT_VAL(ELEMENT_REG(STRING_REG), CONSTANT_SVAL) [PR105899]
-d99d73c77d1e9cca5938134b4e6e068945cf50b1 analyzer: handle strlen(INIT_VAL(STRING_REG)) [PR105899]'
-++ '[' 105 -gt 5 ']'
-++ echo '... and 100 more'
++ '[' '' '!=' '' ']'
++++ head -n5
++++ git -C gcc log --pretty=oneline 721f7e2c4e5eed645593258624dd91e6c39f3bd2..3745feb19ed072e0865b12a891d7dbf7ba12c337
++++ true
+++ echo '3745feb19ed072e0865b12a891d7dbf7ba12c337 RISC-V: Fix spill-11.c testsuite failure
+6567837fd823a93f7f7948a73ff9dc1153592e8c RISC-V: Fix spill-12 test
+b3b13fb1cbad6e5836dee947e85d2954bcacabed RISC-V: Fix xtheadcondmov-indirect.c
+55f6a7d949abc708d1c6ebc01eb3053f96d1472b analyzer: Move gcc.dg/analyzer tests to c-c++-common (1) [PR96395]
+7997f0d35efca8a24d1b0ceae5066b1019d633d7 Daily bump.'
+++ '[' 36 -gt 5 ']'
+++ echo '... and 31 more'
++ for c in "${changed_components[@]}"
+++ get_baseline_git newlib_rev
+++ set -euf -o pipefail
@@ -1829,22 +974,26 @@ d99d73c77d1e9cca5938134b4e6e068945cf50b1 analyzer: handle strlen(INIT_VAL(STRING
+++ assert_with_msg 'ERROR: No newlib_rev in baseline git' '[' -f base-artifacts/git/newlib_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/newlib_rev
-++ base_rev=90d3b16d2b93d573501394d88538c99335edc343
+++ base_rev=42fc2fa37c5995b642d128705cc67316bf9254b7
+++ get_current_git newlib_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No newlib_rev in current git' '[' -f artifacts/git/newlib_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/newlib_rev
-++ cur_rev=42fc2fa37c5995b642d128705cc67316bf9254b7
-+++ git -C newlib rev-list --count 90d3b16d2b93d573501394d88538c99335edc343..42fc2fa37c5995b642d128705cc67316bf9254b7
-++ c_commits=1
-++ new_commits=156
+++ cur_rev=eb1584b491384e072c949ecd78ec85de244661fe
++++ git -C newlib rev-list --count 42fc2fa37c5995b642d128705cc67316bf9254b7..eb1584b491384e072c949ecd78ec85de244661fe
+++ c_commits=5
+++ new_commits=66
++ echo 'newlib commits:'
-+++ head -n5
-+++ git -C newlib log --pretty=oneline 90d3b16d2b93d573501394d88538c99335edc343..42fc2fa37c5995b642d128705cc67316bf9254b7
-++ echo '42fc2fa37c5995b642d128705cc67316bf9254b7 libgloss: add Xtensa port'
-++ '[' 1 -gt 5 ']'
++ '[' '' '!=' '' ']'
++++ head -n5
++++ git -C newlib log --pretty=oneline 42fc2fa37c5995b642d128705cc67316bf9254b7..eb1584b491384e072c949ecd78ec85de244661fe
+++ echo 'eb1584b491384e072c949ecd78ec85de244661fe Revert "Cygwin: autoload: introduce LoadDLLfunc_pfx_only"
+a841911ea45272b1333134aa0d8bd9b3860a2c7f Revert "Cygwin: select: workaround FD_WRITE network event handling"
+384e572f41d0848f281a68dade2f02005fde50bd Cygwin: document disabling mknod/mkfifo on NFS
+d085592daa5f89ccc9f5b86b2ca26199e7516d61 Cygwin: mknod: disable creating special files on NFS
+6407da947d92205a59ab3713a6dd9fabd3fd2477 Cygwin: doc: add new API calls in 3.5'
+++ '[' 5 -gt 5 ']'
++ for c in "${changed_components[@]}"
+++ get_baseline_git gdb_rev
+++ set -euf -o pipefail
@@ -1852,55 +1001,28 @@ d99d73c77d1e9cca5938134b4e6e068945cf50b1 analyzer: handle strlen(INIT_VAL(STRING
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ base_rev=3f3175554f28ee42652aa5729a77cd1f2747be98
+++ base_rev=540a5904eb5644056f4fcc9a264826e0e40ee385
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gdb_rev
-++ cur_rev=540a5904eb5644056f4fcc9a264826e0e40ee385
-+++ git -C gdb rev-list --count 3f3175554f28ee42652aa5729a77cd1f2747be98..540a5904eb5644056f4fcc9a264826e0e40ee385
-++ c_commits=51
-++ new_commits=207
+++ cur_rev=6785fd72d503fd13bfec31a2897694f1590031eb
++++ git -C gdb rev-list --count 540a5904eb5644056f4fcc9a264826e0e40ee385..6785fd72d503fd13bfec31a2897694f1590031eb
+++ c_commits=24
+++ new_commits=90
++ echo 'gdb commits:'
-+++ head -n5
-+++ git -C gdb log --pretty=oneline 3f3175554f28ee42652aa5729a77cd1f2747be98..540a5904eb5644056f4fcc9a264826e0e40ee385
-++ echo '540a5904eb5644056f4fcc9a264826e0e40ee385 gdb/solib-rocm: Detect SO for unsupported AMDGPU device
-1f08d324601ef7fd4cce3cff8f8db4a774791828 [gdb/build] Return gdb::array_view in thread_info_to_thread_handle
-f1917fc63166d73a9d0930d96468e486a49c666d kvx: fix kvx_reassemble_bundle index 8 out of bounds
-476dd29dc60b6dc3aec0e29ce2150202cf85f7a8 gdb/testsuite: Multiple improvements for gdb.reverse/insn-reverse.exp
-6e7db5d6bcc383766e10c2ea6f6bf01b629db1b0 gdb/testsuite: fix testing gdb.reverse/step-reverse.exp with clang'
-++ '[' 51 -gt 5 ']'
-++ echo '... and 46 more'
++ '[' '' '!=' '' ']'
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git qemu_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No qemu_rev in baseline git' '[' -f base-artifacts/git/qemu_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/qemu_rev
-++ base_rev=0d52116fd82cdd1f4a88837336af5b6290c364a4
-+++ get_current_git qemu_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No qemu_rev in current git' '[' -f artifacts/git/qemu_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/qemu_rev
-++ cur_rev=50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4
-+++ git -C qemu rev-list --count 0d52116fd82cdd1f4a88837336af5b6290c364a4..50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4
-++ c_commits=84
-++ new_commits=291
-++ echo 'qemu commits:'
+++ head -n5
-+++ git -C qemu log --pretty=oneline 0d52116fd82cdd1f4a88837336af5b6290c364a4..50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4
-++ echo '50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4 Merge tag '\''pull-target-arm-20230824'\'' of https://git.linaro.org/people/pmaydell/qemu-arm into staging
-6030ef9d416d740eed9c0beaf7eef83d27eaf4eb Merge tag '\''pull-loongarch-20230824'\'' of https://gitlab.com/gaosong/qemu into staging
-3f6bec4a9f7c159d32d49f6df5c2c3d587b953b9 hw/loongarch: Fix ACPI processor id off-by-one error
-17ffe331a923c9015887917b27212ab39ff1d8ea target/loongarch: Split fcc register to fcc0-7 in gdbstub
-2948c1fb6b8d806d92394ec358e6ed727e946df9 hw/intc/loongarch_pch: fix edge triggered irq handling'
-++ '[' 84 -gt 5 ']'
-++ echo '... and 79 more'
-++ '[' '' '!=' '' ']'
++++ git -C gdb log --pretty=oneline 540a5904eb5644056f4fcc9a264826e0e40ee385..6785fd72d503fd13bfec31a2897694f1590031eb
++++ true
+++ echo '6785fd72d503fd13bfec31a2897694f1590031eb PE dos_message
+8606b47e94078e77a53f3cd714272c853d2add22 comdat_hash memory leaks
+26d0081b52dc482c59abba23ca495304e698ce4b Confusion in coff_object_cleanup
+398f1ddf5e89e066aeee242ea854dcbaa8eb9539 sanity check n_numaux
+9cadc5fa8d2ed0310f182b4524367635730d7f73 Re: ld STRINGIFY'
+++ '[' 24 -gt 5 ']'
+++ echo '... and 19 more'
++ gnu_print_result --short
++ false
++ local print_arg=--short
@@ -1977,16 +1099,16 @@ f1917fc63166d73a9d0930d96468e486a49c666d kvx: fix kvx_reassemble_bundle index 8
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ base_rev=3f3175554f28ee42652aa5729a77cd1f2747be98
+++ base_rev=1f08d324601ef7fd4cce3cff8f8db4a774791828
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ cur_rev=1f08d324601ef7fd4cce3cff8f8db4a774791828
-+++ git -C binutils rev-list --count 3f3175554f28ee42652aa5729a77cd1f2747be98..1f08d324601ef7fd4cce3cff8f8db4a774791828
-++ c_commits=50
-++ new_commits=50
+++ cur_rev=6785fd72d503fd13bfec31a2897694f1590031eb
++++ git -C binutils rev-list --count 1f08d324601ef7fd4cce3cff8f8db4a774791828..6785fd72d503fd13bfec31a2897694f1590031eb
+++ c_commits=25
+++ new_commits=25
++ for c in "${changed_components[@]}"
+++ get_baseline_git gcc_rev
+++ set -euf -o pipefail
@@ -1994,16 +1116,16 @@ f1917fc63166d73a9d0930d96468e486a49c666d kvx: fix kvx_reassemble_bundle index 8
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ base_rev=39491441a3aca7725d5a6dfeea4b01229d30c899
+++ base_rev=721f7e2c4e5eed645593258624dd91e6c39f3bd2
+++ get_current_git gcc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gcc_rev
-++ cur_rev=721f7e2c4e5eed645593258624dd91e6c39f3bd2
-+++ git -C gcc rev-list --count 39491441a3aca7725d5a6dfeea4b01229d30c899..721f7e2c4e5eed645593258624dd91e6c39f3bd2
-++ c_commits=105
-++ new_commits=155
+++ cur_rev=3745feb19ed072e0865b12a891d7dbf7ba12c337
++++ git -C gcc rev-list --count 721f7e2c4e5eed645593258624dd91e6c39f3bd2..3745feb19ed072e0865b12a891d7dbf7ba12c337
+++ c_commits=36
+++ new_commits=61
++ for c in "${changed_components[@]}"
+++ get_baseline_git newlib_rev
+++ set -euf -o pipefail
@@ -2011,16 +1133,16 @@ f1917fc63166d73a9d0930d96468e486a49c666d kvx: fix kvx_reassemble_bundle index 8
+++ assert_with_msg 'ERROR: No newlib_rev in baseline git' '[' -f base-artifacts/git/newlib_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/newlib_rev
-++ base_rev=90d3b16d2b93d573501394d88538c99335edc343
+++ base_rev=42fc2fa37c5995b642d128705cc67316bf9254b7
+++ get_current_git newlib_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No newlib_rev in current git' '[' -f artifacts/git/newlib_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/newlib_rev
-++ cur_rev=42fc2fa37c5995b642d128705cc67316bf9254b7
-+++ git -C newlib rev-list --count 90d3b16d2b93d573501394d88538c99335edc343..42fc2fa37c5995b642d128705cc67316bf9254b7
-++ c_commits=1
-++ new_commits=156
+++ cur_rev=eb1584b491384e072c949ecd78ec85de244661fe
++++ git -C newlib rev-list --count 42fc2fa37c5995b642d128705cc67316bf9254b7..eb1584b491384e072c949ecd78ec85de244661fe
+++ c_commits=5
+++ new_commits=66
++ for c in "${changed_components[@]}"
+++ get_baseline_git gdb_rev
+++ set -euf -o pipefail
@@ -2028,37 +1150,20 @@ f1917fc63166d73a9d0930d96468e486a49c666d kvx: fix kvx_reassemble_bundle index 8
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ base_rev=3f3175554f28ee42652aa5729a77cd1f2747be98
+++ base_rev=540a5904eb5644056f4fcc9a264826e0e40ee385
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gdb_rev
-++ cur_rev=540a5904eb5644056f4fcc9a264826e0e40ee385
-+++ git -C gdb rev-list --count 3f3175554f28ee42652aa5729a77cd1f2747be98..540a5904eb5644056f4fcc9a264826e0e40ee385
-++ c_commits=51
-++ new_commits=207
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git qemu_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No qemu_rev in baseline git' '[' -f base-artifacts/git/qemu_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/qemu_rev
-++ base_rev=0d52116fd82cdd1f4a88837336af5b6290c364a4
-+++ get_current_git qemu_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No qemu_rev in current git' '[' -f artifacts/git/qemu_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/qemu_rev
-++ cur_rev=50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4
-+++ git -C qemu rev-list --count 0d52116fd82cdd1f4a88837336af5b6290c364a4..50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4
-++ c_commits=84
-++ new_commits=291
-+++ echo binutils gcc newlib gdb qemu
+++ cur_rev=6785fd72d503fd13bfec31a2897694f1590031eb
++++ git -C gdb rev-list --count 540a5904eb5644056f4fcc9a264826e0e40ee385..6785fd72d503fd13bfec31a2897694f1590031eb
+++ c_commits=24
+++ new_commits=90
+++ tr ' ' ,
-++ components=binutils,gcc,newlib,gdb,qemu
-++ echo '291 commits in binutils,gcc,newlib,gdb,qemu'
++++ echo binutils gcc newlib gdb
+++ components=binutils,gcc,newlib,gdb
+++ echo '90 commits in binutils,gcc,newlib,gdb'
# generate dashboard
# generate_dashboard_squad
... Skipping
@@ -2066,7 +1171,7 @@ f1917fc63166d73a9d0930d96468e486a49c666d kvx: fix kvx_reassemble_bundle index 8
... Skipping
# post_to_jira
Full stage ran successfully.
-+ echo '[Linaro-TCWG-CI] Success after 291 commits in binutils,gcc,newlib,gdb,qemu'
++ echo '[Linaro-TCWG-CI] Success after 90 commits in binutils,gcc,newlib,gdb'
+ echo '# generate dashboard'
+ generate_dashboard_squad
+ local results_date
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index baa0b77..c1c934e 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,26 +1,26 @@
-++ pwd
++ cat
-+ remote_exec build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51547: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true
+++ pwd
++ remote_exec build-03.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51294: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true
+ set -euf -o pipefail
+ local host
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51547:
+++ echo build-03.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51294:
++ cut -d: -f 1
-+ host=build-05.tcwglab
++ host=build-03.tcwglab
+ local port
++ cut -s -d: -f 2
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51547:
+++ echo build-03.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51294:
+ port=
+ local dir
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51547:
+++ echo build-03.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51294:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_1
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_0
+ local opts
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51547:
++ cut -s -d: -f 4
-+ opts=-p51547
+++ echo build-03.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51294:
++ opts=-p51294
+ local env_vars
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51547:
++ cut -s -d: -f 5
+++ echo build-03.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51294:
+ env_vars=
+ shift
+ local -a cmd
@@ -52,12 +52,11 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q true
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_1
-+ ssh -p51547 build-05.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_1 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_0
++ ssh -p51294 build-03.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_0 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true'
-/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true
+/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true
-# setup_notify_environment
+ false
+ dryrun=
+ declare top_artifacts ci_project ci_config
@@ -65,6 +64,7 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
+# setup_notify_environment
+ setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
@@ -81,25 +81,25 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/40/
+# Baseline : https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/41/
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/40/'
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/41/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/41/
+# Artifacts : https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/42/
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/41/'
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_embed_build--master-thumb_m23_eabi-build/42/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+ set +x
-# check_source_changes
+ declare -Ag pw
+ '[' ignore = precommit ']'
+# check_source_changes
+ check_source_changes
+ echo '# check_source_changes'
++ get_current_manifest '{rr[update_baseline]}'
@@ -147,7 +147,7 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' x1f08d324601ef7fd4cce3cff8f8db4a774791828 '!=' x3f3175554f28ee42652aa5729a77cd1f2747be98 ']'
+++ '[' x6785fd72d503fd13bfec31a2897694f1590031eb '!=' x1f08d324601ef7fd4cce3cff8f8db4a774791828 ']'
++ echo -ne binutils
++ delim=' '
++ for c in $(print_updated_components)
@@ -162,7 +162,7 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ '[' x721f7e2c4e5eed645593258624dd91e6c39f3bd2 '!=' x39491441a3aca7725d5a6dfeea4b01229d30c899 ']'
+++ '[' x3745feb19ed072e0865b12a891d7dbf7ba12c337 '!=' x721f7e2c4e5eed645593258624dd91e6c39f3bd2 ']'
++ echo -ne ' gcc'
++ delim=' '
++ for c in $(print_updated_components)
@@ -177,7 +177,7 @@
+++ assert_with_msg 'ERROR: No newlib_rev in baseline git' '[' -f base-artifacts/git/newlib_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/newlib_rev
-++ '[' x42fc2fa37c5995b642d128705cc67316bf9254b7 '!=' x90d3b16d2b93d573501394d88538c99335edc343 ']'
+++ '[' xeb1584b491384e072c949ecd78ec85de244661fe '!=' x42fc2fa37c5995b642d128705cc67316bf9254b7 ']'
++ echo -ne ' newlib'
++ delim=' '
++ for c in $(print_updated_components)
@@ -192,7 +192,7 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ '[' x540a5904eb5644056f4fcc9a264826e0e40ee385 '!=' x3f3175554f28ee42652aa5729a77cd1f2747be98 ']'
+++ '[' x6785fd72d503fd13bfec31a2897694f1590031eb '!=' x540a5904eb5644056f4fcc9a264826e0e40ee385 ']'
++ echo -ne ' gdb'
++ delim=' '
++ for c in $(print_updated_components)
@@ -207,19 +207,17 @@
+++ assert_with_msg 'ERROR: No qemu_rev in baseline git' '[' -f base-artifacts/git/qemu_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/qemu_rev
-++ '[' x50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4 '!=' x0d52116fd82cdd1f4a88837336af5b6290c364a4 ']'
-++ echo -ne ' qemu'
-++ delim=' '
+++ '[' x50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4 '!=' x50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4 ']'
++ echo
# Debug traces :
-# change_kind=multiple_components : binutils gcc newlib gdb qemu
+# change_kind=multiple_components : binutils gcc newlib gdb
+ local c base_rev cur_rev c_commits
-+ '[' 5 = 0 ']'
-+ '[' 5 = 1 ']'
++ '[' 4 = 0 ']'
++ '[' 4 = 1 ']'
+ change_kind=multiple_components
+ changed_single_component=
+ echo '# Debug traces :'
-+ echo '# change_kind=multiple_components : binutils gcc newlib gdb qemu'
++ echo '# change_kind=multiple_components : binutils gcc newlib gdb'
+ for c in "${changed_components[@]}"
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
@@ -227,17 +225,17 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=3f3175554f28ee42652aa5729a77cd1f2747be98
++ base_rev=1f08d324601ef7fd4cce3cff8f8db4a774791828
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=1f08d324601ef7fd4cce3cff8f8db4a774791828
-++ git -C binutils rev-list --count 3f3175554f28ee42652aa5729a77cd1f2747be98..1f08d324601ef7fd4cce3cff8f8db4a774791828
-# rev for binutils : 3f3175554f28ee42652aa5729a77cd1f2747be98..1f08d324601ef7fd4cce3cff8f8db4a774791828 (50 commits)
-+ c_commits=50
-+ echo '# rev for binutils : 3f3175554f28ee42652aa5729a77cd1f2747be98..1f08d324601ef7fd4cce3cff8f8db4a774791828 (50 commits)'
++ cur_rev=6785fd72d503fd13bfec31a2897694f1590031eb
+++ git -C binutils rev-list --count 1f08d324601ef7fd4cce3cff8f8db4a774791828..6785fd72d503fd13bfec31a2897694f1590031eb
+# rev for binutils : 1f08d324601ef7fd4cce3cff8f8db4a774791828..6785fd72d503fd13bfec31a2897694f1590031eb (25 commits)
++ c_commits=25
++ echo '# rev for binutils : 1f08d324601ef7fd4cce3cff8f8db4a774791828..6785fd72d503fd13bfec31a2897694f1590031eb (25 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gcc_rev
++ set -euf -o pipefail
@@ -245,17 +243,17 @@
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ base_rev=39491441a3aca7725d5a6dfeea4b01229d30c899
++ base_rev=721f7e2c4e5eed645593258624dd91e6c39f3bd2
++ get_current_git gcc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ cur_rev=721f7e2c4e5eed645593258624dd91e6c39f3bd2
-++ git -C gcc rev-list --count 39491441a3aca7725d5a6dfeea4b01229d30c899..721f7e2c4e5eed645593258624dd91e6c39f3bd2
-# rev for gcc : 39491441a3aca7725d5a6dfeea4b01229d30c899..721f7e2c4e5eed645593258624dd91e6c39f3bd2 (105 commits)
-+ c_commits=105
-+ echo '# rev for gcc : 39491441a3aca7725d5a6dfeea4b01229d30c899..721f7e2c4e5eed645593258624dd91e6c39f3bd2 (105 commits)'
++ cur_rev=3745feb19ed072e0865b12a891d7dbf7ba12c337
+++ git -C gcc rev-list --count 721f7e2c4e5eed645593258624dd91e6c39f3bd2..3745feb19ed072e0865b12a891d7dbf7ba12c337
+# rev for gcc : 721f7e2c4e5eed645593258624dd91e6c39f3bd2..3745feb19ed072e0865b12a891d7dbf7ba12c337 (36 commits)
++ c_commits=36
++ echo '# rev for gcc : 721f7e2c4e5eed645593258624dd91e6c39f3bd2..3745feb19ed072e0865b12a891d7dbf7ba12c337 (36 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git newlib_rev
++ set -euf -o pipefail
@@ -263,17 +261,17 @@
++ assert_with_msg 'ERROR: No newlib_rev in baseline git' '[' -f base-artifacts/git/newlib_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/newlib_rev
-+ base_rev=90d3b16d2b93d573501394d88538c99335edc343
++ base_rev=42fc2fa37c5995b642d128705cc67316bf9254b7
++ get_current_git newlib_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No newlib_rev in current git' '[' -f artifacts/git/newlib_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/newlib_rev
-+ cur_rev=42fc2fa37c5995b642d128705cc67316bf9254b7
-++ git -C newlib rev-list --count 90d3b16d2b93d573501394d88538c99335edc343..42fc2fa37c5995b642d128705cc67316bf9254b7
-# rev for newlib : 90d3b16d2b93d573501394d88538c99335edc343..42fc2fa37c5995b642d128705cc67316bf9254b7 (1 commits)
-+ c_commits=1
-+ echo '# rev for newlib : 90d3b16d2b93d573501394d88538c99335edc343..42fc2fa37c5995b642d128705cc67316bf9254b7 (1 commits)'
++ cur_rev=eb1584b491384e072c949ecd78ec85de244661fe
+++ git -C newlib rev-list --count 42fc2fa37c5995b642d128705cc67316bf9254b7..eb1584b491384e072c949ecd78ec85de244661fe
+# rev for newlib : 42fc2fa37c5995b642d128705cc67316bf9254b7..eb1584b491384e072c949ecd78ec85de244661fe (5 commits)
++ c_commits=5
++ echo '# rev for newlib : 42fc2fa37c5995b642d128705cc67316bf9254b7..eb1584b491384e072c949ecd78ec85de244661fe (5 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gdb_rev
++ set -euf -o pipefail
@@ -281,36 +279,18 @@
++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gdb_rev
-+ base_rev=3f3175554f28ee42652aa5729a77cd1f2747be98
++ base_rev=540a5904eb5644056f4fcc9a264826e0e40ee385
++ get_current_git gdb_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gdb_rev
-+ cur_rev=540a5904eb5644056f4fcc9a264826e0e40ee385
-++ git -C gdb rev-list --count 3f3175554f28ee42652aa5729a77cd1f2747be98..540a5904eb5644056f4fcc9a264826e0e40ee385
-# rev for gdb : 3f3175554f28ee42652aa5729a77cd1f2747be98..540a5904eb5644056f4fcc9a264826e0e40ee385 (51 commits)
-+ c_commits=51
-+ echo '# rev for gdb : 3f3175554f28ee42652aa5729a77cd1f2747be98..540a5904eb5644056f4fcc9a264826e0e40ee385 (51 commits)'
-+ for c in "${changed_components[@]}"
-++ get_baseline_git qemu_rev
-++ set -euf -o pipefail
-++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No qemu_rev in baseline git' '[' -f base-artifacts/git/qemu_rev ']'
-++ set -euf -o pipefail +x
-++ cat base-artifacts/git/qemu_rev
-+ base_rev=0d52116fd82cdd1f4a88837336af5b6290c364a4
-++ get_current_git qemu_rev
-++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No qemu_rev in current git' '[' -f artifacts/git/qemu_rev ']'
-++ set -euf -o pipefail +x
-++ cat artifacts/git/qemu_rev
-+ cur_rev=50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4
-++ git -C qemu rev-list --count 0d52116fd82cdd1f4a88837336af5b6290c364a4..50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4
-# rev for qemu : 0d52116fd82cdd1f4a88837336af5b6290c364a4..50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4 (84 commits)
++ cur_rev=6785fd72d503fd13bfec31a2897694f1590031eb
+++ git -C gdb rev-list --count 540a5904eb5644056f4fcc9a264826e0e40ee385..6785fd72d503fd13bfec31a2897694f1590031eb
+# rev for gdb : 540a5904eb5644056f4fcc9a264826e0e40ee385..6785fd72d503fd13bfec31a2897694f1590031eb (24 commits)
-+ c_commits=84
-+ echo '# rev for qemu : 0d52116fd82cdd1f4a88837336af5b6290c364a4..50e7a40af372ee5931c99ef7390f5d3d6fbf6ec4 (84 commits)'
++ c_commits=24
++ echo '# rev for gdb : 540a5904eb5644056f4fcc9a264826e0e40ee385..6785fd72d503fd13bfec31a2897694f1590031eb (24 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
diff --git a/jenkins/rewrite.log b/jenkins/rewrite.log
index c10d5b2..5849bcc 100644
--- a/jenkins/rewrite.log
+++ b/jenkins/rewrite.log
@@ -1,25 +1,25 @@
-++ pwd
++ cat
-+ remote_exec build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51547: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
+++ pwd
++ remote_exec build-03.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51294: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
+ set -euf -o pipefail
+ local host
+++ echo build-03.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51294:
++ cut -d: -f 1
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51547:
-+ host=build-05.tcwglab
++ host=build-03.tcwglab
+ local port
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51547:
+++ echo build-03.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51294:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51547:
+++ echo build-03.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51294:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_1
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_0
+ local opts
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51547:
+++ echo build-03.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51294:
++ cut -s -d: -f 4
-+ opts=-p51547
++ opts=-p51294
+ local env_vars
-++ echo build-05.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51547:
+++ echo build-03.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51294:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,8 +58,8 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q 100
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_1
-+ ssh -p51547 build-05.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_1 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_0
++ ssh -p51294 build-03.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_0 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
+ declare -g rewrite_base_artifacts_first=true
+ true
+ update_baseline
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index 7b5ce53..bc0043d 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,9 +1,9 @@
-build_name="#41"
+build_name="#42"
docker_opts=(--distro
default )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#41-binutils-gcc-gdb-newlib-qemu"
+build_name="#42-binutils-gcc-gdb-newlib-qemu"
branch_opt=(==rr\[binutils_git\]
git://sourceware.org/git/binutils-gdb.git#master
==rr\[gcc_git\]
@@ -14,4 +14,4 @@ git://sourceware.org/git/binutils-gdb.git#master
git://sourceware.org/git/newlib-cygwin.git#master
==rr\[qemu_git\]
https://gitlab.com/qemu-project/qemu.git#master )
-build_name="#41-binutils-gcc-gdb-newlib-qemu-R7"
+build_name="#42-binutils-gcc-gdb-newlib-qemu-R7"